FAITH(1)

NAME
faith - set an IPv6 prefix to be used by the FAITH kernel

SYNOPSIS
faith [-de] [-p prefix] [-i interface]

DESCRIPTION
NOTE: faith is a backward compatibility wrapper for FAITH IPv4-v6 TCP relaying service. One should migrate to new user interface ( using route(8) command) for more flexibility and configurability.

faith controls FAITH IPv4-v6 TCP relaying service support code in the kernel. The kernel mechanism will work cooperatively with faithd(8). faith command is designed to be invoked at host/router that runs FAITH daemon, faithd(8), which provides TCP relaying service to other hosts.

-d and -e will disable and enable the FAITH kernel code, respectively. If enabled, the kernel tosses up TCP segments whose destination matches the prefix.

If -p prefix is given, the specified prefix is set to the kernel as address translation prefix.

If -i interface is given, interface will be used for FAITH translation. interface must be FAITH pseudo interface, i.e. faith[0-9].

RETURN VALUES
faith exits with 0 on success, and non-zero on errors.

SEE ALSO
faithd(8)

HISTORY
The faith command first appeared in KAME IPv6 protocol stack kit.